@echo off
rem **************************************************************
rem *  This is an MS-DOS BATCH file for downloading all of the   *
rem *  NTLM related members of HTTP API, v1.2                    *
rem **************************************************************
set NTLM_VERSION=v1.2
set HTTPAPI_VERSION=v1.25beta2
set ZIP_FILE=httpapi_%HTTPAPI_VERSION%_ntlm_patches_%NTLM_VERSION%.zip
set UTILITIES_DIR=DOS Utilities
set DATE_ISO=%date:~6,4%%date:~3,2%%date:~0,2%
set TIME_ISO=%time:~0,2%%time:~3,2%
if "%time:~0,1%"==" " set TIME_ISO=0%TIME_ISO:~1,3%
set TIMESTAMP=%DATE_ISO%_%TIME_ISO%

set TEMPFILE=httpapi.ftpcmds
set HOST=ghentw.gfd.de
set USER=RADDATZ
set PASS=%1
set LIB=LIBHTTP

if "%PASS%"=="" goto usage

if not exist QRPGLESRC (
   md QRPGLESRC
)

if not exist QCLSRC (
   md QCLSRC
)

if not exist Examples (
   md Examples
)

if not exist Examples_Driver (
   md Examples_Driver
)

if not exist RPGUnit (
   md RPGUnit
)

echo %USER%> %TEMPFILE%
echo %PASS%>> %TEMPFILE%
echo quote site namefmt 0 >> %TEMPFILE%
echo cd %LIB%>> %TEMPFILE%
echo quote type c 819>> %TEMPFILE%

rem  QRPGLESRC
echo get QRPGLESRC.README_LM   readme_ntlm.txt           >> %TEMPFILE%
echo get QRPGLESRC.ENCRYPTR4   QRPGLESRC/ENCRYPTR4.MBR   >> %TEMPFILE%
echo get QRPGLESRC.HTTPAPI_H   QRPGLESRC/HTTPAPI_H.MBR   >> %TEMPFILE%
echo get QRPGLESRC.HTTPAPIR4   QRPGLESRC/HTTPAPIR4.MBR   >> %TEMPFILE%
echo get QRPGLESRC.HTTPUTILR4  QRPGLESRC/HTTPUTILR4.MBR  >> %TEMPFILE%
echo get QRPGLESRC.MD4_H       QRPGLESRC/MD4_H.MBR       >> %TEMPFILE%
echo get QRPGLESRC.MD4C4       QRPGLESRC/MD4C4.MBR       >> %TEMPFILE%
echo get QRPGLESRC.MD4R4       QRPGLESRC/MD4R4.MBR       >> %TEMPFILE%
echo get QRPGLESRC.NTLM_C      QRPGLESRC/NTLM_C.MBR      >> %TEMPFILE%
echo get QRPGLESRC.NTLM_H      QRPGLESRC/NTLM_H.MBR      >> %TEMPFILE%
echo get QRPGLESRC.NTLM_P      QRPGLESRC/NTLM_P.MBR      >> %TEMPFILE%
echo get QRPGLESRC.NTLMR4      QRPGLESRC/NTLMR4.MBR      >> %TEMPFILE%

echo get QRPGLESRC.EXAMPLE25   Examples/EXAMPLE25.MBR    >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE26   Examples/EXAMPLE26.MBR    >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE27   Examples/EXAMPLE27.MBR    >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE35   Examples/EXAMPLE35.MBR    >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE37   Examples/EXAMPLE37.MBR    >> %TEMPFILE%

echo get QRPGLESRC.EXAMPLE25C  Examples_Driver/EXAMPLE25C.MBR >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE26C  Examples_Driver/EXAMPLE26C.MBR >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE27C  Examples_Driver/EXAMPLE27C.MBR >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE35C  Examples_Driver/EXAMPLE35C.MBR >> %TEMPFILE%
echo get QRPGLESRC.EXAMPLE37C  Examples_Driver/EXAMPLE37C.MBR >> %TEMPFILE%

echo get QRPGLESRC.TC_INIT     RPGUnit/TC_INIT.MBR       >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM01    RPGUnit/TCNTLM01.MBR      >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM02    RPGUnit/TCNTLM02.MBR      >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM03    RPGUnit/TCNTLM03.MBR      >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM04    RPGUnit/TCNTLM04.MBR      >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM05    RPGUnit/TCNTLM05.MBR      >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM06    RPGUnit/TCNTLM06.MBR      >> %TEMPFILE%
echo get QRPGLESRC.TCNTLM07    RPGUnit/TCNTLM07.MBR      >> %TEMPFILE%

rem  QCLSRC
echo get QCLSRC.INSTALL        QCLSRC/INSTALL.MBR        >> %TEMPFILE%

echo quit >> %TEMPFILE%
pause
cls
ftp -s:%TEMPFILE% %HOST%
del %TEMPFILE%

:replace
"%UTILITIES_DIR%"\fart -- .\QRPGLESRC\HTTPAPI_H.MBR  "client ] server ] server_auth" "client | server | server_auth"

:zip
echo Zip Datei: %ZIP_FILE%
if exist "%ZIP_FILE%" (
   del "%ZIP_FILE%"
)
"%UTILITIES_DIR%"\7z a -mx=8 "%ZIP_FILE%" "NTLM Message Inspector\*" "Examples\*" "QCLSRC\*" "QRPGLESRC\*" "RPGUnit\*" "upload_httpapi_ntlm_%NTLM_VERSION%.bat" "HTTPAPI NTLM Change Log %NTLM_VERSION%.txt" "readme_ntlm.txt" "FAQ HTTPAPI and NTLM_v*.pdf"
goto end

:usage
echo.
echo USAGE: download PASSWORD
echo.
echo  PASSWORD = Password to log in with
echo.
:end
